Bug 1031003 - passing the value of KEYMAP variable written in vconsole.conf to loadkeys
passing the value of KEYMAP variable written in vconsole.conf to loadkeys
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 08:12 EST by Jaroslav Škarvada
Modified: 2015-06-29 08:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:56:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2013-11-15 08:12:41 EST
Description of problem:
Previously, loadkeys cz-lat2 loaded layout which by default used US keyboard and could be switched to czech layout by the Pause key. Currently only czech layout is loaded and it cannot be switched to us by the Pause key.

Version-Release number of selected component (if applicable):
kbd-1.15.5-10.fc20

How reproducible:
Always

Steps to Reproduce:
1. loadkeys cz-lat2

Actual results:
Czech only layout is loaded

Expected results:
US layout is loaded which can be switched to czech layout by the Pause key

Additional info:
It worked correctly with kbd-1.15.5-8, but is broken with kbd-1.15.5-10.
Comment 1 Vitezslav Crhonek 2013-11-18 05:30:00 EST
Xkb converted keymaps are used by default in F20 and later.

Executing "loadkeys cz-lat2" is the same as "loadkeys /lib/kbd/keymaps/i386/qwerty/cz-lat2.map.gz", which is symbolic link to /lib/kbd/keymaps/xkb/cz-qwerty.map.gz.

Original cz-lat2 is still available though, you need to do "loadkeys /lib/kbd/keymaps/legacy/i386/qwerty/cz-lat2.map.gz". Switching should work as expected then.
Comment 2 Jaroslav Škarvada 2013-11-18 06:15:01 EST
It is no more possible to switch the new layout to US by some hotkey?

How to load the old layout on boot through e.g. vconsole.conf?
KEYMAP=cz-lat2
Comment 3 Vitezslav Crhonek 2014-07-14 08:48:02 EDT
To make this clear...

Please ignore comment #1 - there are no longer symbolic links. loadkeys takes the layout from /lib/kbd/keymaps/xkb/, if it fails to find the keymap there, it tries to find it in /lib/kbd/keymaps/legacy/.

cz-lat2 works as expected now, because xkb converted keymap has been dropped:

# loadkeys cz-lat2
Loading /lib/kbd/keymaps/legacy/i386/qwerty/cz-lat2.map.gz

However this is not true for e.g. cz.map.gz, fi.map.gz, ... When you want to use "old" layout, you have to provide full path to the keymap to loadkeys, see:

# loadkeys fi
Loading /lib/kbd/keymaps/xkb/fi.map.gz
vs.
# loadkeys /lib/kbd/keymaps/legacy/i386/qwerty/fi.map.gz 
Loading /lib/kbd/keymaps/legacy/i386/qwerty/fi.map.gz

But this is not possible through vconsole.conf. It seems to provide loadkeys just with keymap name, I see no difference between:
KEYMAP=fi
and
KEYMAP=/lib/kbd/keymaps/legacy/i386/qwerty/fi.map.gz

So this is a request for passing a full path of the keymap to loadkeys, just as it is written in vconsole.conf.
Comment 4 Fedora End Of Life 2015-05-29 05:46:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-05-29 11:46:41 EDT
Is this (passing the full path to load keys) still needed? I think we have just one keymap now in F21+:

$ locate fi.map.gz
/usr/lib/kbd/keymaps/legacy/i386/qwerty/fi.map.gz
Comment 6 Fedora End Of Life 2015-06-29 08:56:17 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.